#
# spec file for package rubygem-solid_cable
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-solid_cable
Version:        3.0.7
Release:        1.1
%define mod_name solid_cable
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 3.1.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/rails/solid_cable
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Database-backed Action Cable backend
License:        MIT

%description
Database-backed Action Cable backend.

%prep

%build

%install
%gem_install \
  --no-rdoc --no-ri \
  --doc-files="MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Feb  3 2025 Dan Čermák <dan.cermak@posteo.net>
- 3.0.7:
- Reverted - Don’t force cable.yml config by @jkostolansky in https://github.com/rails/solid_cable/pull/55
  * *Full Changelog**: https://github.com/rails/solid_cable/compare/v3.0.6...v3.0.7
  3.0.6:
  [#]# What's Changed
  * Don’t force cable.yml config by @jkostolansky in https://github.com/rails/solid_cable/pull/55
  * Rework concurrency control to avoid thread locks by @jorgemanrubia in https://github.com/rails/solid_cable/pull/54
  [#]# New Contributors
  * @jkostolansky made their first contribution in https://github.com/rails/solid_cable/pull/55
  * *Full Changelog**: https://github.com/rails/solid_cable/compare/v3.0.5...v3.0.6
  3.0.5:
  [#]# What's Changed
  * Add interruptible sleep to avoid deadlocking by @npezza93 in https://github.com/rails/solid_cable/pull/53
  * *Full Changelog**: https://github.com/rails/solid_cable/compare/v3.0.4...v3.0.5
  3.0.4:
  [#]# What's Changed
  * Swap executor for reloader to fix dev server hanging on code changes by @npezza93 in https://github.com/rails/solid_cable/pull/51
  * *Full Changelog**: https://github.com/rails/solid_cable/compare/v3.0.3...v3.0.4
  3.0.3:
  [#]# What's Changed
  * Remove duplicate routes for rooms by @SadMadLad in https://github.com/rails/solid_cable/pull/40
  * Fix irreversible upgrade migration by @thiagoyoussef in https://github.com/rails/solid_cable/pull/44
  * Fix the homepage url by @y-yagi in https://github.com/rails/solid_cable/pull/46
  * Wrap application code in Rails executor to prevent autoloading problems by @jorgemanrubia in https://github.com/rails/solid_cable/pull/50
  [#]# New Contributors
  * @SadMadLad made their first contribution in https://github.com/rails/solid_cable/pull/40
  * @thiagoyoussef made their first contribution in https://github.com/rails/solid_cable/pull/44
  * @y-yagi made their first contribution in https://github.com/rails/solid_cable/pull/46
  * @jorgemanrubia made their first contribution in https://github.com/rails/solid_cable/pull/50
  * *Full Changelog**: https://github.com/rails/solid_cable/compare/v3.0.2...v3.0.3
* Thu Nov  7 2024 Marcus Rueckert <mrueckert@suse.de>
- initial package
